DEMANGLE(1)

NAME
demangle - Eemaldab C++ nimede moonutuse

SYNOPSIS

demangle

KIRJELDUS

demangle loeb standardsisendist C++ moonutatud sümbolnimed ja teisendab need standardväljundis inimestele arusaadavale kujule.

See utiliit kuulub KDE tarkvaraarenduse komplekti koosseisu.

NäIDE

Loo fail nimega nimed, milles leiduvad järgmised moonutatud sümbolnimed:
_ZNK6Object10metaObjectEv
_ZN8QPtrListI5ArrowE5clearEv
_ZTC4Kolf0_11KMainWindow

Nende nimede moonutusest vabaneb nii:

    example$ demangle < nimed Object::metaObject() const QPtrList<Arrow>::clear() construction vtable for KMainWindow-in-Kolf

VAATA KA

kminspector(1) kmtrace(1) match(1)

AUTHOR
Ben Burton.